import java.util.ArrayList;

/**
 * This class contains a method that can help test Boulder objects.
 * 
 * @author Brad Richards
 */

public class BouncingBoulders
{

    /**
     * This method takes two Boulder objects as parameters, makes them visible, then
     * updates their positions 100 times.  You don't have to understand how the "for"
     * loop works, but the parameters should be familiar.
     */
    public void testBoulders(Boulder b1, Boulder b2) {
        b1.makeVisible();
        b2.makeVisible();

        for(int i=0; i<200; i=i+1)
        {
            b1.updatePosition();
            b2.updatePosition();
        }
    }
    
    public void runTest() {
        Boulder b1 = new Boulder(650, 300, 10, 8, 30);
        Boulder b2 = new Boulder(700, 250, 10, -8, 30);
        testBoulders(b1, b2);
    }
}
